Update per-agent widget policy
curl --request PATCH \
--url https://api.kataven.ai/v1/api/v1/agents/{id}/widget-settings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"auth_mode": "both",
"widget_enabled": true
}
'import requests
url = "https://api.kataven.ai/v1/api/v1/agents/{id}/widget-settings"
payload = {
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"auth_mode": "both",
"widget_enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 'agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z',
auth_mode: 'both',
widget_enabled: true
})
};
fetch('https://api.kataven.ai/v1/api/v1/agents/{id}/widget-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"auth_mode": "both",
"widget_enabled": true
}"<string>""<string>"Widget Settings
Update per-agent widget policy
PATCH
/
api
/
v1
/
agents
/
{id}
/
widget-settings
Update per-agent widget policy
Authorizations
Headers
Tenant database. Required when using a Zitadel JWT.
Path Parameters
Agent id (uuid)
Body
application/json
Per-agent fields

